/**
 * Sample React Native App
 *
 * adapted from App.js generated by the following command:
 *
 * react-native init example
 *
 * https://github.com/facebook/react-native
 */

import React, { Component } from 'react';
import { Platform, StyleSheet, Text, View } from 'react-native';
import Insights from 'react-native-ne-insights';
import { NESDK_KEY } from 'react-native-dotenv';

export default class App extends Component<{}> {
  componentDidMount() {
    Insights.startRecording(NESDK_KEY);
  }
  render() {
    return (
      <View style={styles.container}>
        <Text style={styles.welcome}>Insights is working!</Text>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#F5FCFF',
  },
  welcome: {
    fontSize: 20,
    textAlign: 'center',
    margin: 10,
  },
  instructions: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
});
